<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document Ready</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="js/jquery-3.7.1.min.js"></script>
    <script>
        $(document).ready(function () {
            "use strict";
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
            // gCAR_DB: database of cars
            // vID: vehicle identification number
            const gCAR_DB = [
                { make: "Ford", model: "Explorer", year: 2017, color: "white", vID: "AB-10111" },
                { make: "Toyota", model: "Corolla", year: 2018, color: "silver", vID: "DN-23218" },
                { make: "Mazda", model: "Mazda 6", year: 2020, color: "red", vID: "TZ-23212" },
                { make: "Toyota", model: "Fortuna", year: 2016, color: "black", vID: "IN-91925" },
                { make: "Mazda", model: "Mazda 3", year: 2019, color: "silver", vID: "MN-44593" }
            ];

            /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
            onPageLoading();

            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            // Hàm thực hiện khi load trang
            function onPageLoading() {
                //đây là code chạy thử của function getCarByVID
                var vVIDCarForSearch = "TZ-23212";                
                $("#bienKiemSoat").html(vVIDCarForSearch);
                var vMyCar = getCarByVID(vVIDCarForSearch);
                if (vMyCar !== null) {
                    $("#carInfor").html("Vid: " + vMyCar.vID + "<br>");
                    $("#carInfor").append("Hãng: " + vMyCar.make + "<br>");
                    $("#carInfor").append("Model: " + vMyCar.model + "<br>");
                    $("#carInfor").append("Năm sản xuất: " + vMyCar.year + "<br>");
                    $("#carInfor").append("Màu sắc: " + vMyCar.color);

                    $("#carInfor").css("color", "green");
                }
                else {
                    $("#carInfor").html("Không tìm thấy ô tô có vID là: " + vVIDCarForSearch);
                    $("#carInfor").css("color","red");
                }
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
            /**
            * find and return a car by carVID
            * input/start: vID của ô tô cần tìm
            * output/end: 01 đối tượng ô tô (car) tìm thấy; nếu không tìm thấy thì trả về null
            */
            function getCarByVID(carVID) {
                var vCarFound = false;
                var vIterator = 0;
                var vCarResult = null;
                while (!vCarFound & vIterator < gCAR_DB.length) {
                    if (gCAR_DB[vIterator].vID === carVID) {
                        vCarFound = true;
                        vCarResult = gCAR_DB[vIterator];
                    }
                    else {
                        vIterator++;
                    }
                }
                return vCarResult;
            }
        })


    </script>
</head>

<body class="bg-light">
    <div class="container">
        <div class="form-group">
            <h1>Test Page for Devcamp Javascript Tasks </h1>
            <h1>(Trang test code Javascript) </h1>
            <p> Press F5 to run code. Don't forget to Save your code before running. (Ctrl+S).</p>
            <p> (F5 để chạy code; Đừng quên lưu code trước đó trên VScode, ctrl+S)</p>
            <p>Thông tin ô tô biển kiểm soát: <span id="bienKiemSoat"></span> </p>
            <p id="carInfor"></p>
        </div>
    </div>
</body>

</html>